## pgaudit-18 18.0

=== Makefile ===
# contrib/pg_audit/Makefile

MODULE_big = pgaudit
OBJS = pgaudit.o $(WIN32RES)

EXTENSION = pgaudit
DATA = pgaudit--18.0.sql
PGFILEDESC = "pgAudit - An audit logging extension for PostgreSQL"

REGRESS = pgaudit
REGRESS_OPTS = --temp-config=$(top_srcdir)/contrib/pgaudit/pgaudit.conf

ifdef USE_PGXS
PG_CONFIG = pg_config
PGXS := $(shell $(PG_CONFIG) --pgxs)
include $(PGXS)
else
subdir = contrib/pgaudit
top_builddir = ../..
include $(top_builddir)/src/Makefile.global
include $(top_srcdir)/contrib/contrib-global.mk
endif

EXTRA_INSTALL += contrib/pg_stat_statements contrib/postgres_fdw

=== debian/changelog ===
pgaudit-18 (18.0-2) unstable; urgency=medium

  * Add ${postgresql:Breaks}.
  * debian/tests: Depend on postgresql-common-dev instead of 'make'.

 -- Christoph Berg <myon@debian.org>  Wed, 08 Oct 2025 17:17:01 +0200

pgaudit-18 (18.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version supporting PostgreSQL 18.

 -- Marco Nenciarini <mnencia@debian.org>  Thu, 25 Sep 2025 18:54:39 +0200

pgaudit-17 (17.1-1) unstable; urgency=medium

  * New upstream version 17.1.

 -- Christoph Berg <myon@debian.org>  Sun, 02 Mar 2025 11:11:58 +0100

pgaudit-17 (17.1~rc1-1) unstable; urgency=medium

  * New upstream version 17.1~rc1.

 -- Christoph Berg <myon@debian.org>  Wed, 26 Feb 2025 11:19:37 +0100

pgaudit-17 (17.0-2) unstable; urgency=medium

  * Restrict to 64-bit architectures.
  * Use ${postgresql:Depends}.
  * Mark postgresql-all as <!nocheck>.

 -- Christoph Berg <myon@debian.org>  Tue, 10 Sep 2024 15:45:49 +0200

pgaudit-17 (17.0-1) unstable; urgency=medium

  * New upstream version 17.0.

 -- Christoph Berg <myon@debian.org>  Sun, 08 Sep 2024 20:41:39 +0200

pgaudit-17 (17~beta1-1) experimental; urgency=medium

  * New upstream version supporting PostgreSQL 17.

 -- Christoph Berg <myon@debian.org>  Thu, 18 Jul 2024 14:38:51 +0200

pgaudit-16 (16.0-1) unstable; urgency=medium

  * New upstream version; version number now follows the PG major version.
  * Add myself to Uploaders.

 -- Christoph Berg <myon@debian.org>  Mon, 18 Sep 2023 13:20:32 +0200

pgaudit-1.8 (1.8~beta-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 1.8 covering PostgreSQL 16.

 -- Christoph Berg <myon@debian.org>  Mon, 31 Jul 2023 15:29:33 +0200

pgaudit-1.7 (1.7.0-2) unstable; urgency=medium

  * debian/control.in, debian/control (Uploaders): Updated.

 -- Michael Banck <mbanck@debian.org>  Fri, 17 Feb 2023 14:05:34 +0100

pgaudit-1.7 (1.7.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 1.7 covering PostgreSQL 15.

 -- Marco Nenciarini <mnencia@debian.org>  Mon, 17 Oct 2022 14:55:04 +0000

pgaudit-1.6 (1.6.2-1) unstable; urgency=medium

  * Team upload with new upstream version.

 -- Christoph Berg <myon@debian.org>  Thu, 10 Mar 2022 10:52:27 +0100

pgaudit-1.6 (1.6.1-1) unstable; urgency=medium

  * Team upload with new upstream version.

 -- Christoph Berg <myon@debian.org>  Fri, 26 Nov 2021 16:36:59 +0100

pgaudit-1.6 (1.6.0-1) unstable; urgency=medium

  * Team upload with new upstream version.

 -- Christoph Berg <myon@debian.org>  Fri, 15 Oct 2021 16:49:22 +0200

pgaudit-1.6 (1.6~beta2-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 1.6 covering PostgreSQL 14.
  * Set source name to pgaudit-1.6; upstream is releasing separate branches
    per PG major version, this makes maintaining them easier.

 -- Christoph Berg <myon@debian.org>  Wed, 08 Sep 2021 16:25:29 +0200

pgaudit (1.5.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 1.5.0.
  * Split source package; this is the branch that covers version 13.
  * Use dh --with pgxs.
  * R³: no.
  * DH 13.

 -- Christoph Berg <myon@debian.org>  Mon, 16 Nov 2020 15:10:55 +0100

pgaudit (1.4.0-2) unstable; urgency=medium

  * debian/control: Update for PostgreSQL v12.

 -- Michael Banck <michael.banck@credativ.de>  Thu, 07 Nov 2019 21:22:40 +0100

pgaudit (1.4.0-1) unstable; urgency=medium

  * New upstream release.

  [ Christoph Berg ]
  * Update debian/gitlab-ci.yml.

  [ Michael Banck ]
  * debian/patches/support_9.5.patch, debian/patches/support_pre10.patch:
    Refreshed.
  * debian/patches/support_pre12.patch: New patch, support versions lower than
    v12.
  * debian/patches/alternative_regression_outputs.patch: Add another
    alternative regression output.

 -- Michael Banck <michael.banck@credativ.de>  Tue, 01 Oct 2019 22:15:00 +0200

pgaudit (1.3.0-2) unstable; urgency=medium

  * debian/patches/alternative_regression_outputs.patch: New patch, adds an
    additional pgaudit_2.out expected output file for v9.6 and v10.
  * debian/patches/support_9.5.patch: Move pgaudit_1.out alternative regression
    output into alternative_regression_outputs.patch.

 -- Michael Banck <michael.banck@credativ.de>  Mon, 19 Nov 2018 12:38:32 +0100

pgaudit (1.3.0-1) unstable; urgency=medium

  * New upstream release.
  * debian/patches/support_pre10.patch: Refreshed.
  * debian/support_11.patch: Removed, no longer needed.

 -- Michael Banck <michael.banck@credativ.de>  Wed, 17 Oct 2018 21:49:45 +0200

pgaudit (1.2.0-2) unstable; urgency=medium

  [ Christoph Berg ]
  * Move maintainer address to team+postgresql@tracker.debian.org.

  [ Michael Banck ]
  * debian/control: Rebuild against postgresql-11.
  * debian/gitlab-ci.yml: New file.
  * debian/patches/support_11.patch: New patch, support version v11.

 -- Michael Banck <michael.banck@credativ.de>  Fri, 12 Oct 2018 11:31:09 +0200

pgaudit (1.2.0-1) unstable; urgency=medium

  * New upstream release.

  [ Christoph Berg ]
  * Move packaging repository to salsa.debian.org

  [ Michael Banck ]
  * debian/patches/support_9.5.patch: Updated.
  * debian/patches/support_10.patch: Removed, no longer needed.
  * debian/patches/support_pre10.patch: New patch, support versions lower than
    v10.

 -- Michael Banck <michael.banck@credativ.de>  Sat, 03 Feb 2018 21:13:51 +0100

pgaudit (1.1.1-2) unstable; urgency=medium

  * debian/control: Update for current PostgreSQL version in unstable.
  * debian/patches/support_10.patch: New patch, add support for v10, based on
    upstream commit 6ce6e006.

 -- Michael Banck <michael.banck@credativ.de>  Fri, 06 Oct 2017 14:27:15 +0200

pgaudit (1.1.1-1) unstable; urgency=medium

  * New upstream release.

 -- Michael Banck <michael.banck@credativ.de>  Tue, 12 Sep 2017 08:50:58 +0200

pgaudit (1.1.0-1) unstable; urgency=medium

  * Team upload.
  * Initial release. (Closes: #859626)

 -- Michael Banck <michael.banck@credativ.de>  Mon, 10 Apr 2017 09:19:26 +0200

=== debian/control ===
Source: pgaudit-18
Section: database
Priority: optional
Maintainer: Debian PostgreSQL Maintainers <team+postgresql@tracker.debian.org>
Uploaders:
 Michael Banck <mbanck@debian.org>,
 Christoph Berg <myon@debian.org>,
Build-Depends:
 debhelper-compat (= 13),
 architecture-is-64-bit <!pkg.postgresql.32-bit>,
 libkrb5-dev,
 libssl-dev,
 postgresql-all <!nocheck>,
 postgresql-server-dev-all (>= 217~),
Standards-Version: 4.7.2
Vcs-Browser: https://salsa.debian.org/postgresql/pgaudit
Vcs-Git: https://salsa.debian.org/postgresql/pgaudit.git -b 18
Homepage: http://pgaudit.org/

Package: postgresql-18-pgaudit
Architecture: any
Depends:
 ${misc:Depends},
 ${postgresql:Depends},
 ${shlibs:Depends},
Breaks:
 ${postgresql:Breaks},
Description: PostgreSQL Audit Extension
 The pgAudit extension provides detailed session and/or object audit logging
 via the standard PostgreSQL logging facility.
 .
 The goal of pgAudit is to provide PostgreSQL users with capability to produce
 audit logs often required to comply with government, financial, or ISO
 certifications.
 .
 An audit is an official inspection of an individual's or organization's
 accounts, typically by an independent body. The information gathered by
 pgAudit is properly called an audit trail or audit log.

=== debian/rules ===
#!/usr/bin/make -f

export PG_SUPPORTED_VERSIONS = 18

override_dh_installdocs:
	dh_installdocs --all README.*

override_dh_pgxs_test:
	pg_buildext -i '--auth=trust' -o'shared_preload_libraries=pgaudit' installcheck . . postgresql-%v-pgaudit

%:
	dh $@ --with pgxs

=== debian/watch ===
version=4
opts=uversionmangle=s/beta/~beta/;s/rc/~rc/ \
https://github.com/pgaudit/pgaudit/tags .*/(18.*).tar.gz
